	if (filtrato)
	{
		const TString benemerenza = 
		TLocalisamfile* sog = &(rel->lfile(LF_SOGGETTI)); 
		TRectype* key = new TRectype(LF_BENEM);
		long codsog = sog->curr().get(SOG_CODICE);
		key->put(BEN_CODICE, codsog);
		err = _sbenemerenze->read(key);
		if (err == NOERR)
		{              
			for (int r=1; r<=_sbenemerenze->rows(); r++)
			{
				const TRectype& riga = _sbenemerenze->row(r);
				const TString bene = riga.get(BEN_TIPOBEN);
				if (bene = 
				row.add(riga.get(BEN_DATABEN));
				row.add(riga.get(BEN_RITIRATA));
			}
	
